from setuptools import setup, find_packages

with open("README.md", "r") as fh:
    long_description = fh.read()

package_name = "echoss_db"

setup(
    name='echoss_db',
    version='1.0.8',
    author='ckkim',
    author_email='ckkim@12cm.co.kr',
    url='https://github.com/12cmlab/echoss-query',
    install_requires=[
        'pandas>=1.5.3',
        'pymongo>=4.3.3',
        'PyMySQL>=1.0.2',
        'PyYAML>=6.0',
        'opensearch-py>=2.2.0',
        'echoss-fileformat>=1.1.2',
    ],
    description='echoss AI Bigdata Solution - Database Query Package',
    long_description=long_description,
    long_description_content_type='text/markdown',
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: Apache Software License",
        "Operating System :: OS Independent",
    ],
    packages=find_packages(),
    include_package_data=True,
    python_requires= '>3.7',
)
